package com.yida.data.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.user.EduParent;
import com.yida.data.user.vo.ParentInfoVO;

import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EduParentMapper extends BaseMapper<EduParent> {

    ParentInfoVO getParentWithStudent(@Param("wxId") String wxId,
        @Param("mobile") String mobile,
        @Param("schoolId") Long schoolId);

    List<ParentInfoVO> listParentByClass(@Param("classIds") List<Long> classIds,
        @Param("parentName") String parentName);

    List<EduParent> listParentByStudent(@Param("studentId") List<Long> studentId);

    List<EduParent> listParentWithStudentBySchool(@Param("schoolIds") List<Long> schoolIds);
}
